Name:          dkms
Version:       3.1.1
Release:       1mamba
Summary:       Dynamic Kernel Module Support
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/dell/dkms
Source:        https://github.com/dell/dkms.git/v%{version}/dkms-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      kernelheaders
Requires:      gcc

%description
DKMS stands for Dynamic Kernel Module Support. It is designed to create a framework where kernel dependent module source can reside so that it is very easy to rebuild modules as you upgrade kernels. This will allow Linux vendors to provide driver drops without having to wait for new kernel releases while also taking out the guesswork for customers attempting to recompile modules for new kernels.

%prep
%setup -q

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
make install-redhat SBIN=%{_bindir} DESTDIR=%{buildroot}

install -d %{buildroot}%{_presetdir}
cat > %{buildroot}%{_presetdir}/50-dkms.preset << _EOF
enable dkms.service
_EOF


%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%systemd_post %{name}
if [ $1 -ge 1 ]; then
   systemctl -q enable %{name}
   systemctl -q start %{name}
fi
:

%preun
%systemd_preun %{name}
:

%postun
%systemd_postun %{name}
:

%posttrans
# clean old sysv broken links
find /etc/rc[0-6].d/ -type l -xtype l -exec rm -f {} \;  
# clean old badly uninstalled modules
find /var/lib/dkms/*/*/source -xtype l | while read line; do ls -ld ${line/source}; done
find /var/lib/dkms -xtype l -exec rm -f {} \;
:

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/dkms
%{_sysconfdir}/dkms/framework.conf
%dir %{_sysconfdir}/kernel/postinst.d
%{_sysconfdir}/kernel/postinst.d/dkms
%dir %{_sysconfdir}/kernel/prerm.d
%{_sysconfdir}/kernel/prerm.d/dkms
%{_bindir}/dkms
%{_presetdir}/50-dkms.preset
%{_unitdir}/dkms.service
%dir %{_prefix}/lib/dkms
%{_prefix}/lib/dkms/common.postinst
%{_prefix}/lib/dkms/dkms_autoinstaller
%{_prefix}/lib/kernel/install.d/40-dkms.install
%dir %{_localstatedir}/lib/dkms
%{_datadir}/bash-completion/completions/dkms
%{_datadir}/zsh/site-functions/_dkms
%{_mandir}/man8/dkms.8*
%doc COPYING

%changelog
* Tue Oct 22 2024 Automatic Build System <autodist@openmamba.org> 3.1.1-1mamba
- automatic version update by autodist

* Sat Oct 05 2024 Automatic Build System <autodist@openmamba.org> 3.1.0-1mamba
- automatic version update by autodist

* Fri Mar 08 2024 Automatic Build System <autodist@openmamba.org> 3.0.13-1mamba
- automatic version update by autodist

* Mon Oct 02 2023 Automatic Build System <autodist@mambasoft.it> 3.0.12-1mamba
- automatic version update by autodist

* Fri Apr 28 2023 Automatic Build System <autodist@mambasoft.it> 3.0.11-1mamba
- automatic version update by autodist

* Wed Jan 04 2023 Automatic Build System <autodist@mambasoft.it> 3.0.10-1mamba
- automatic version update by autodist

* Wed Dec 07 2022 Automatic Build System <autodist@mambasoft.it> 3.0.9-1mamba
- automatic version update by autodist

* Sun Oct 30 2022 Automatic Build System <autodist@mambasoft.it> 3.0.8-1mamba
- automatic version update by autodist

* Thu Sep 29 2022 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic version update by autodist

* Sun Jul 17 2022 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic version update by autodist

* Thu Jun 30 2022 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- automatic version update by autodist

* Wed Jun 22 2022 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- automatic version update by autodist

* Fri Dec 17 2021 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Wed Dec 01 2021 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Sun Oct 03 2021 Automatic Build System <autodist@mambasoft.it> 2.8.7-1mamba
- automatic version update by autodist

* Sun Sep 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.6-1mamba
- update to 2.8.6

* Wed Aug 25 2021 Automatic Build System <autodist@mambasoft.it> 2.8.5-1mamba
- automatic version update by autodist

* Fri Dec 18 2020 Automatic Build System <autodist@mambasoft.it> 2.8.4-1mamba
- automatic version update by autodist

* Fri Jul 24 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.3-2mamba
- patched to automatically fix dkms.conf containing SUBDIRS by replacing with M as required since kernel 5.4

* Fri Jul 17 2020 Automatic Build System <autodist@mambasoft.it> 2.8.3-1mamba
- automatic version update by autodist

* Sat Nov 02 2019 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Wed Jun 12 2019 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Sat Jan 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5-2mamba
- clean broken links in /var/lib/dkms in posttrans

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Sun Jun 18 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-2mamba
- reapply patch to skip modules with sources removed and cleanup old broken modules in posttrans

* Sat Jun 17 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-1mamba
- update to 2.4.0

* Sat Dec 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-1mamba
- update to 2.3

* Sat Dec 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0.3-4mamba
- sysv -> systemd switch

* Sat Apr 13 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0.3-3mamba
- added a patch to avoid failed with dkms status and remove if missing source directory

* Thu Apr 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0.3-2mamba
- install and configure init script (by using make install-redhat)

* Fri Jun 15 2012 Automatic Build System <autodist@mambasoft.it> 2.2.0.3-1mamba
- automatic version update by autodist

* Sat Oct 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0.2-2mamba
- added requirements for kernelheaders and gcc

* Fri Oct 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0.2-1mamba
- update to 2.2.0.2

* Sat Apr 04 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.0.21.1-2mamba
- modified Group and Packager

* Wed Apr 01 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.0.21.1-1mamba
- package created by autospec
